<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number124</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.124:</b> Write a JavaScript program to find the longest string from a given array. </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 550px; height: auto;">
		<p> Circles Detail :</p>
		<input type="number" id="num" placeholder="Number Of Elements">
	  <input type="button" onClick="generate()" name="gen" value="Tap Here To Generate Matrix" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	<script>
	  function generate(){
		  var num = + document.getElementById('num').value;
		  var arr = [];
		  for ( i = 0 ; i < num ; i++ ) {
			  arr.push(prompt("Enter Element" + (i+1)));
			  arr = arr.map(String);
		  }
		  const longest = arr.reduce(function(a,b) {
			  return a.length > b.length ? a : b
		  }, '');
		  document.getElementById('demo').innerHTML=
			  "Array is:<br>[ " + arr.join(' , ') + " ]" +
			  "<br>And the longest is:<br>" + longest ;
		  
	  }
	</script>
</body>
</html>
